[INCLUDE: common/materials_carpaint.ini]
[INCLUDE: common/materials_interior.ini]
[INCLUDE: common/materials_glass.ini]
[INCLUDE: common/selflighting.ini]

[DATA]
DISABLE_DIGITALPANELSINI = 1

[SHADER_REPLACEMENT_...]
MATERIALS = LED_Panel
SHADER = ksPerPixelMultiMap_emissive
FILL_MISSING_TEXTURES = 1
PROP_... = emSkipDiffuseMap, 1
PROP_... = ksEmissive, 200, 200, 200

[LED_PANEL_...]
MESHES = RSS_EXT_LED_Panel
TEXTURE_SLOT = txEmissive
RESOLUTION = 1024, 512
MASKS_PACK = rss_font.zip
DIGIT_0 = 22, 47, 312, 455
DIGIT_1 = 353, 47, 312, 455
DIGIT_2 = 692, 47, 312, 455

BASE_COLOR = '#00FFFF', 1
FLASHING_COLOR = '#00FFFF', 1
FLASHING_APPLY_MASK = 1

BLANCPAIN_FLASHING_PERIOD = 0.5
BLANCPAIN_FLASHING_DURATION = 0.15
BLANCPAIN_FLASHING_RACE_CLASS = AM

N24_FLASHING_PERIOD = 3.5
N24_FLASHING_TIME = 1.2
N24_FLASHING_FREQUENCY = 6
N24_FLASHING_ACTIVE_SHARE = 0.7

ROLE_0 = TEXT
ROLE_0_TEXT = .JS
ROLE_1 = POSITION
ROLE_1_NUMBER_FORMAT = 1.0
ROLE_DURATION = 3

[Material_Plastic_v2]
Meshes = GEO_Paint_Black_Rear
Reflectance = 0.028
BrightnessAdjustment = 1
DetailNormalPBRSecondaryColor = 0, 0, 0, 0.5
DetailNormalBlend = 0.5
DetailNormalTexture = 0
DetailNormalPBRSmoothnessGamma = 1
DetailTextureBlur = 1

[Material_Aluminium_v2]
Meshes = GEO_Paint_Carbon_Exhaust
Metalness = 0.4
Reflectance = 0.3
BrightnessAdjustment = 0.0
OcclusionMap = 0.25
DetailTexture = 1
DetailNormalTexture = common/pbr_metal.dds
DetailNormalPBRSecondaryColor = 0, 0, 0, 0
DetailScale = 30
DetailNormalBlend = 1
DetailNormalPBRSmoothnessGamma = 2

